Update a customer by id
PUT
/v1/booking/customers/{id}
const url = 'https://rms.dev.caspeco.net/api/booking/v1/booking/customers/1';const options = { method: 'PUT', headers: { system: 'example', Authorization: 'Bearer <token>', 'Content-Type': 'application/json' }, body: '{"name":"example","streetaddress":"example","zipcode":"example","city":"example","orgNr":"example","phone":"example","fax":"example","email":"example","information":"example","hidden":true,"id":1,"invoiceStreetaddress":"example","invoiceZipCode":"example","invoiceCity":"example","invoiceCode1":"example","invoiceCode2":"example","invoiceCode3":"example","ediNumber":"example","marking":"example","customerNumber":"example","invoicingPaymentTerms":1,"invoicingFee":1,"binaryFlags":0,"accountManager":"example","webpage":"example","lastChangedUtc":"2026-04-15T12:00:00Z","lastChangedBy":"example","agreementLevel":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://rms.dev.caspeco.net/api/booking/v1/booking/customers/1 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'system: example' \ --data '{ "name": "example", "streetaddress": "example", "zipcode": "example", "city": "example", "orgNr": "example", "phone": "example", "fax": "example", "email": "example", "information": "example", "hidden": true, "id": 1, "invoiceStreetaddress": "example", "invoiceZipCode": "example", "invoiceCity": "example", "invoiceCode1": "example", "invoiceCode2": "example", "invoiceCode3": "example", "ediNumber": "example", "marking": "example", "customerNumber": "example", "invoicingPaymentTerms": 1, "invoicingFee": 1, "binaryFlags": 0, "accountManager": "example", "webpage": "example", "lastChangedUtc": "2026-04-15T12:00:00Z", "lastChangedBy": "example", "agreementLevel": 1 }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer format: int64
Header Parameters
Section titled “Header Parameters”system
required
string
The system name / database to query
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
string
streetaddress
string
zipcode
string
city
string
orgNr
string
phone
string
fax
string
email
string
information
string
hidden
boolean
id
integer format: int64
invoiceStreetaddress
string
invoiceZipCode
string
invoiceCity
string
invoiceCode1
string
invoiceCode2
string
invoiceCode3
string
ediNumber
string
marking
string
customerNumber
string
invoicingPaymentTerms
integer format: int32
invoicingFee
integer format: int32
binaryFlags
integer
accountManager
string
webpage
string
lastChangedUtc
string format: date-time
lastChangedBy
string
agreementLevel
integer format: int32
Responses
Section titled “Responses”Media typeapplication/json
object
name
string
streetaddress
string
zipcode
string
city
string
orgNr
string
phone
string
fax
string
email
string
information
string
hidden
boolean
id
integer format: int64
invoiceStreetaddress
string
invoiceZipCode
string
invoiceCity
string
invoiceCode1
string
invoiceCode2
string
invoiceCode3
string
ediNumber
string
marking
string
customerNumber
string
invoicingPaymentTerms
integer format: int32
invoicingFee
integer format: int32
binaryFlags
integer
accountManager
string
webpage
string
lastChangedUtc
string format: date-time
lastChangedBy
string
agreementLevel
integer format: int32
Example
{ "binaryFlags": 0}Media typeapplication/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
extensions
object
key
additional properties
key
additional properties
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "extensions": { "additionalProperty": "example" }}Media typeapplication/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
extensions
object
key
additional properties
key
additional properties
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "extensions": { "additionalProperty": "example" }}